Bug 463368 - [LTC 6.0 FEAT] 201023:Fix eHCA to tolerate memory DLPAR operations when module not loaded
[LTC 6.0 FEAT] 201023:Fix eHCA to tolerate memory DLPAR operations when modul...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Doug Ledford
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27 554559
  Show dependency treegraph
 
Reported: 2008-09-22 23:10 EDT by IBM Bug Proxy
Modified: 2010-11-15 09:05 EST (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.31-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 23:10:38 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:30 EDT
1. Feature Overview:
Feature Id:	[201023]
a. Name of Feature:	Fix eHCA to support memory DLPAR
b. Feature Description
Support the memory DLPAR function is a requirement on all device drivers on Power platform. The
existing infiniband driver eHCA may need to be modified in order to work properly for this function.
  This feature is opened for a permanent solution for the DLPAR support.  An driver update or even
some kernel fixes might be needed under this feature.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	kernel 2.6.27
Performance Assistance:	yes

3. Business Case
Memory DLPAR is a major feature/differentiator for Power customers. If dynamically adding (or
removing) memory to the running partition cause any broken link or broken state, it would be a big
setback to customers.

Benefits
This feature is opened for a permanent solution for the eHCA driver to be transparent to the memory
DLPAR design.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Joachim Fenkes, FENKES@de.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 12:25:02 EDT
Has this feature actually made 2.6.27?
Comment 2 IBM Bug Proxy 2009-03-05 02:10:59 EST
Hello RH,

the ehca driver will not support memory DLPAR as described in the titel of this Bug. The plan for RH 6 is to enable the ehca driver to tolerate memory DLPAR operations. That means memory DLPAR operations are possible if the ehca driver is not loaded.
Could you please rename this feature Bug to "Fix eHCA to tolerate memory DLPAR"?
The fix will be available in OFED-1.5 release (planned GA Aug 1) and in linux kernel version 2.6.31. If RH 6 is not going to pick OFED-1.5 for infinibad inclusion we would also provide a patch here in this Bugzilla.

regards Stefan
Comment 4 IBM Bug Proxy 2010-05-31 12:10:38 EDT
------- Comment From alexs@linux.vnet.ibm.com 2010-05-31 12:09 EDT-------
I've verified that the code for tolerating DLPAR mem is included in snapshot 5, setting feature to verified.
Comment 5 releng-rhel@redhat.com 2010-11-15 09:05:19 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.